likelihoods-methods {Rtreemix} | R Documentation

## Method for predicting the likelihoods of a set of samples with respect to a mutagenetic trees mixture model

### Description

This function predicts the (log, weighted) likelihoods of the samples in a given dataset according to a given mutagenetic trees mixture model. The dataset and the model have to be specified.

### Usage

    ## S4 method for signature 'RtreemixModel, RtreemixData':
    likelihoods(model, data)

### Arguments

`model` | An `RtreemixModel` object specifying the probabilistic framework in which the likelihoods of the genetic patterns are computed.
`data` | An `RtreemixData` object giving the samples for which the likelihoods are to be calculated.

### Value

This method returns an `RtreemixStats` object that containes the weghted- and log-likelihoods of the samples in the given dataset with respect to the given mutagenetic trees mixture model.

### Author(s)

Jasmina Bogojeska

### References

Learning multiple evolutionary pathways from cross-sectional data, N. Beerenwinkel et al.

### See Also

`RtreemixData-class`, `RtreemixModel-class`, `fit-methods`, `distribution-methods`

### Examples

    ## Create an RtreemixData object from a randomly generated RtreemixModel object.
    rand.mod <- generate(K = 3, no.events = 9, noise.tree = TRUE, prob = c(0.2, 0.8))
    data <- sim(model = rand.mod, no.draws = 300)
    show(data)

    ## Compute the likelihoods of the samples in data with respect to the model rand.mod
    mod.stat <- likelihoods(model = rand.mod, data = data)
    show(mod.stat)

[Package Rtreemix version 1.4.0 Index]